Mailinglist Archive: opensuse-security-announce (58 mails)

< Previous Next >
[security-announce] openSUSE-SU-2016:0511-1: critical: Security update for glibc
openSUSE Security Update: Security update for glibc
______________________________________________________________________________

Announcement ID: openSUSE-SU-2016:0511-1
Rating: critical
References:
Cross-References: CVE-2015-7547
Affected Products:
openSUSE Evergreen 11.4
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for glibc fixes the following security issues:

* fix stack overflow in the glibc libresolv DNS resolver function
getaddrinfo(), known as CVE-2015-7547. It is a client side
networked/remote vulnerability.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Evergreen 11.4:

zypper in -t patch 2016-234=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Evergreen 11.4 (i586 x86_64):

glibc-2.11.3-69.2
glibc-debuginfo-2.11.3-69.2
glibc-debugsource-2.11.3-69.2
glibc-devel-2.11.3-69.2
glibc-devel-debuginfo-2.11.3-69.2
glibc-html-2.11.3-69.2
glibc-i18ndata-2.11.3-69.2
glibc-info-2.11.3-69.2
glibc-locale-2.11.3-69.2
glibc-locale-debuginfo-2.11.3-69.2
glibc-obsolete-2.11.3-69.2
glibc-profile-2.11.3-69.2
nscd-2.11.3-69.2
nscd-debuginfo-2.11.3-69.2

- openSUSE Evergreen 11.4 (x86_64):

glibc-32bit-2.11.3-69.1
glibc-debuginfo-32bit-2.11.3-69.1
glibc-devel-32bit-2.11.3-69.1
glibc-devel-debuginfo-32bit-2.11.3-69.1
glibc-locale-32bit-2.11.3-69.1
glibc-locale-debuginfo-32bit-2.11.3-69.1
glibc-profile-32bit-2.11.3-69.1

- openSUSE Evergreen 11.4 (ia64):

glibc-debuginfo-x86-2.11.3-69.1
glibc-devel-debuginfo-x86-2.11.3-69.1
glibc-locale-debuginfo-x86-2.11.3-69.1
glibc-locale-x86-2.11.3-69.1
glibc-profile-x86-2.11.3-69.1
glibc-x86-2.11.3-69.1

- openSUSE Evergreen 11.4 (i686):

glibc-2.11.3-69.1
glibc-debuginfo-2.11.3-69.1
glibc-debugsource-2.11.3-69.1
glibc-devel-2.11.3-69.1
glibc-devel-debuginfo-2.11.3-69.1
glibc-html-2.11.3-69.1
glibc-i18ndata-2.11.3-69.1
glibc-info-2.11.3-69.1
glibc-locale-2.11.3-69.1
glibc-locale-debuginfo-2.11.3-69.1
glibc-obsolete-2.11.3-69.1
glibc-obsolete-debuginfo-2.11.3-69.1
glibc-profile-2.11.3-69.1
nscd-2.11.3-69.1
nscd-debuginfo-2.11.3-69.1

- openSUSE Evergreen 11.4 (i586):

glibc-obsolete-debuginfo-2.11.3-69.2


References:

https://www.suse.com/security/cve/CVE-2015-7547.html

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages